import https from '@/plugins/luch-request_0.0.7/request'

/** *
 * 只要登陆客户的优惠情况 m
 */
export const userDiscount = data => {
	return https.get('/user/discount', data)
}

/** *
 * 只要登陆客户的资产情况 m
 */
export const userAsset = data => {
	return https.get('/user/asset', data)
}

/** *
 * 修改密码 m
 */
export const modifyPassword = data => {
	return https.post('/user/password', data)
}

/** *
 * 会员等级与折扣 m
 */
export const userGrade = data => {
	return https.post('/merchant/user-grade', data)
}
// =====================  B 端 ========================

/** *
 * 客户列表 b
 */
export const getList = data => {
	return https.get('/user/list', data)
}

/** *
 * 商家端客户详情，包括资产、订单和备注 b
 */
export const getUserDet = data => {
	return https.get('/user/user-detail', data)
}

/** *
 * 获取客户详情，包括资产 b
 */
export const getDet = data => {
	return https.get('/user/detail', data)
}

/** *
 * 添加客户 b
 */
export const add = data => {
	return https.post('/user/add', data)
}

/** *
 * 给客户充值 b
 */
export const rechargeB = data => {
	return https.post('/user/recharge', data)
}

/** *
 * 给客户升级 b
 */
export const upgrade = data => {
	return https.post('/user/upgrade', data)
}

/** *
 * 添加备注 b
 */
export const remarkAdd = data => {
	return https.post('/merchant-remark/add', data)
}

/** *
 * 删除备注 b
 */
export const remarkDel = data => {
	return https.get('/merchant-remark/delete', data)
}

/** *
 * 客户充值 m
 */
export const recharge = data => {
	return https.get('/recharge/launch', data)
}

/** *
 * 重置密码 b
 */
export const resetPassword = data => {
	return https.post('/user/reset-pay-password', data)
}
